/*** Add new login roles to .pgpass ***/
/* .pgpass is a hidden file that is typically placed in a directory that is easily accessible by all postgres databases.
Example:  /home/repositories/.pgpass
Permissions: -rw-rr

select md5('1ts@wIndyDay');
 'ea0b4a821c174a1be53bf7d0bc3766bc'
select md5('Wh3nisHappyh0u4?');
 'abc933a9cf304788721301fe8a6eaf32'
select md5('-PJsTav3rn1nK1rkw00d');
 '12f058a1fa88c48dc78fbb5ade2a52bf'

Create separate row for each role in this format:
host:port:db_name:user_name:password
*/
/* Examples:
127.0.0.1:5432:ug:ug:'ea0b4a821c174a1be53bf7d0bc3766bc'
127.0.0.1:5432:ug:ug_admin:'abc933a9cf304788721301fe8a6eaf32'
127.0.0.1:5432:ug:ug_user:'12f058a1fa88c48dc78fbb5ade2a52bf'
*/

/*********************************************************
  GOTCHA! Must execute psql statement on its own first! 
  using susperuser postgres. 
----------------------------------------------------------  
psql -d postgres -U postgres -f "ug_00_admin_pg.ddl"
**********************************************************/ 

/*** Hostname (-h) may be localhost or any other external hostname. ***/

/*** Create Roles ***/
/* Create roles as superuser postgres. */
-- group roles
create role read nosuperuser inherit nocreatedb nocreaterole noreplication; 
create role write nosuperuser inherit nocreatedb nocreaterole noreplication;
 
-- login roles
-- encrypted passwords suggested
create role ug login password 'ea0b4a821c174a1be53bf7d0bc3766bc' superuser inherit createdb createrole replication;
create role ug_admin login password 'abc933a9cf304788721301fe8a6eaf32' nosuperuser inherit nocreatedb nocreaterole noreplication;
create role ug_user login password '12f058a1fa88c48dc78fbb5ade2a52bf' nosuperuser inherit nocreatedb nocreaterole noreplication; 
  
/*** Create Grants ***/  
grant read, write to ug;
grant read, write to ug_admin;
grant read to ug_user;

/*** Create a new db connection on the server. ***/
-- create the database
create database ug with owner = ug; 


