*** Create all remaining database objects as owner ug so that all objects belong to ug instead of to user postgres. ***/

*** Create Extensions ***/
create extension address_standardizer;
create extension fuzzystrmatch;
create extension adminpack;
create extension citext;
create extension hstore;
create extension pgcrypto;
create extension tablefunc;
create extension unaccent;
create extension postgis;

-- schema: chief
/*comment on schema chief is 'Master habitat for storing and protecting source data and data associations. The chief schema provides data to views in the devops and other schemas but is not intended to be a workzone itself. Rather, the purpose of the chief schema is to protect a single source of truth for each entity that resides there.';*/
-- drop schema chief;
create schema chief authorization ug;

-- schema: devops
/*comment on schema devops is 'Workzone for developers and operations engineers. All data in the chief and any other schemas are represented here, complete with names, descriptions and other useful associations. Views and materialized views provide the source data as required by developers and researchers. Views of source tables from the chief schema are updatable to allow safe data operations and to facilitate User Interface development.';*/
-- drop schema devops;
create schema devops authorization ug;


