/*** Insert directly into table when staging table is not available. ***/

/* events */
insert into chief.events (name,description,grp_id)
values ('Focus Group Meeting'
       ,'Focus group monthly meeting'
       ,(select grp_id from chief.groups where name = 'Focus Group')
       )
;

insert into chief.events (name,description,grp_id)
values ('UNIX User Group Monthly Meeting'
       ,'Monthly meeting for all members'
       ,(select grp_id from chief.groups where name = 'UNIX User Group')
       )
;

insert into chief.events (name,description,grp_id)
values ('Newbie Training'
       ,'Monthly or periodic beginner training'
       ,(select grp_id from chief.groups where name = 'Newbies')
       )
;

insert into chief.events (name,description,grp_id)
values ('Steering Checkpoints'
       ,'Monthly admin meeting'
       ,(select grp_id from chief.groups where name = 'Steering Crew')
       )
;       

/* group_members */
insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'UNIX User Group')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Lovelace','Ada'))
      ,'1835-12-10'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'UNIX User Group')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Turing','Alan'))
      ,'1942-06-23'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'UNIX User Group')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Ritchie','Dennis'))
      ,'1964-09-09'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'UNIX User Group')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Torvalds','Linus'))
      ,'1991-12-28'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'Steering Crew')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Torvalds','Linus'))
      ,'2001-01-01'::date
       )
;
insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'Steering Crew')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Ritchie','Dennis'))
      ,'2001-01-01'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'Newbies')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Lovelace','Ada'))
      ,'2010-10-10'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'Newbies')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Torvalds','Linus'))
      ,'2010-10-10'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'Focus Group')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Turing','Alan'))
      ,'2010-10-10'::date
       )
;

insert into chief.group_members (grp_id,mbr_id,start_date)
values ((select grp_id from chief.groups where name = 'Focus Group')
      ,(select mbr_id from chief.members where (last_name,first_name) = ('Ritchie','Dennis'))
      ,'2010-10-10'::date
       )
;

/* event_calendar */
insert into chief.event_calendar (evnt_id,topic,start_time,end_time,evnt_link)
values ((select evnt_id from chief.events where name = 'UNIX User Group Monthly Meeting')
       ,'Scripting with Python'
       ,'2022-11-23 19:00:00'::timestamp
       ,'2022-11-23 21:00:00'::timestamp
       ,'https://www.google.com/url?q=https://us04web.zoom.us/j/73292424749?pwd%3DdTiPSPxqL8lVEhzg0k8c1CtEwUh9de.1&sa=D&source=calendar&usd=2&usg=AO'
       )
;       
    
insert into chief.event_calendar (evnt_id,topic,start_time,end_time,evnt_link)
values ((select evnt_id from chief.events where name = 'Steering Checkpoints')
       ,'Meeting Schedule Planning and Review'
       ,'2022-11-28 18:30:00'::timestamp
       ,'2022-11-28 20:30:00'::timestamp
       ,'https://www.google.com/url?q=https://us04web.zoom.us/j/whatever'
       )
;       
      
insert into chief.event_calendar (evnt_id,topic,start_time,end_time,evnt_link)
values ((select evnt_id from chief.events where name = 'Newbie Training')
       ,'Here Documents Are Your Friends'
       ,'2022-11-17 18:30:00'::timestamp
       ,'2022-11-17 20:30:00'::timestamp
       ,'https://www.google.com/url?q=https://us04web.zoom.us/j/whateverforever'
       )
;     

insert into chief.event_calendar (evnt_id,topic,start_time,end_time,evnt_link)
values ((select evnt_id from chief.events where name = 'Newbie Training')
       ,'History of UNIX and the World'
       ,'2022-12-15 18:30:00'::timestamp
       ,'2022-12-15 20:30:00'::timestamp
       ,'https://www.google.com/url?q=https://us04web.zoom.us/j/whateverisgoingon'
       )
;     
       
insert into chief.event_calendar (evnt_id,topic,start_time,end_time,evnt_link)
values ((select evnt_id from chief.events where name = 'Focus Group Meeting')
       ,'Leveraging Geospatial Data'
       ,'2022-12-22 18:45:00'::timestamp
       ,'2022-12-22 20:50:00'::timestamp
       ,'https://www.google.com/url?q=https://us04web.zoom.us/j/whatevermakessense'
       )
;   
    
  
    
    
    
    
    
    
    
    
    
    
    
    
